{"openapi":"3.0.0","info":{"version":"3fRequestClientDetails","title":"3f Client Details Reponse","description":"Interface 3f is triggered when a member of staff working within the ABT requires the details of the client to which the referral for appointment refers.","Version History":"(dd/mm/yyyy)"},"paths":{"/ws/rest/clientdetails/response":{"post":{"tags":["clientDetailsResponse"],"summary":null,"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientDetailsResponseAPIRequest"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientDetailsResponsePISuccessResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientDetailsReponseAPIErrorResponse"}}}},"503":{"description":"Service Unavailable - The caller has hit a throttle or the request was rejected because the Atom is starting or stopping."}}}}},"components":{"schemas":{"ClientDetailsResponseAPIRequest":{"type":"object","required":["refferralid","client/appointee","clientIndicators","appointeeIndicators","firstName","lastName","street1","street2","town/city","postcode","localAuthorityArea","contactMobileNumberGiven","mobileNumber","altnerativePhoneNumberGiven","alternativePhoneNumber","braille","easyRead","largePrint","interpreter","intepreterLanguage","firstName","lastName","organisationName","street1","street2","town/city","postcode","localAuthorityArea","contactNumberGiven","mobileNumber","altnerativePhoneNumberGiven","alternativePhoneNumber","braille","easyRead","largePrint","interpreter","intepreterLanguage","emailAddress"],"properties":{"referralid":{"type":"(not defined)","format":"(not defined)","description":"Unique referral ID"},"client/appointee":{"type":null,"format":null,"description":"Type of Attendee"},"clientIndicators":{"type":null,"format":null,"description":"Attendee Indicators Present for Client"},"appointeeIndicators":{"type":null,"format":null,"description":"Attendee Indicators Present for Appointee"},"firstName":{"type":"string","format":65,"description":"First Name of Appointee"},"lastName":{"type":"string","format":65,"description":"Last Name of Appointee"},"street1":{"type":null,"format":null,"description":"preferred correspondence address of appointee/beneficiary street name and number"},"street2":{"type":null,"format":null,"description":"preferred correspondence address of appointee/beneficiary street details"},"town/city":{"type":null,"format":null,"description":"preferred correspondence address of appointee/beneficiary town/city name"},"postcode":{"type":"string","format":16,"description":"Home Address postcode of Appointee"},"dps":{"type":null,"format":null,"description":"Postal Suffix ID of appointee correspondence address"},"localAuthorityArea":{"type":null,"format":null,"description":"Home address Local Authority area of Appointee"},"contactMobileNumberGiven":{"type":null,"format":null,"description":"Y/N field if mobile number given"},"mobileNumber":{"type":"string","format":20,"description":"Contact Mobile Number"},"alternativePhoneNumber":{"type":"string","format":20,"description":"Contact alternative phone number"},"braille":{"type":null,"format":null,"description":"Y/N does the Appointee require / use braille"},"easyRead":{"type":null,"format":null,"description":"Y/N does the Appointee require / use an Easy Reader"},"largePrint":{"type":null,"format":null,"description":"Y/N does the Appointee require / use Large Print in written/ text based communication"},"interpreter":{"type":null,"format":null,"description":"Y/N does the Appointee require / use an interpreter"},"interpreterLanguage":{"type":null,"format":null,"description":"Preferred language / interpreter language required (if used)"},"organisationName":{"type":null,"format":null,"description":"Appointee type is a Corporate body"},"alternativePhoneNumberGiven":{"type":null,"format":null,"description":"Y/N field if alternative number contact given"},"emailAddress":{"type":"string","format":256,"description":"Attendee Email Address"},"preferredCommunicationChannel":{"type":null,"format":null,"description":"Prefered communication channel for the appointeee"}}},"ClientDetailsResponseAPISuccessResponse":{"type":"object","properties":{"returnMessage":{"type":"array","items":{"type":"string"}},"status":{"type":"string","example":"200","default":"200"}}},"ClientDetailsResponseAPIErrorResponse":{"type":"object","properties":{"returnMessage":{"type":"array","items":{"type":"string"}},"status":{"type":"string","example":"400","default":"400"}}}}}}